# https://the-guild.dev/graphql/codegen
schema: ../../services/api/src/graphql/*.graphql
config:
  enumsAsTypes: true
  strictScalars: true
  scalars:
    DateTime: Date
    EmailAddress: string
    URL: URL
    JSONObject: any
generates:
  src/generated/types.ts:
    documents: src/graphql/*.gql
    plugins:
      - typescript
  src/generated/apiClient.ts:
    documents: src/graphql/api.gql
    plugins:
      - typescript
      - typescript-operations
      - typescript-graphql-request
